%global debug_package %{nil}
%global guile_ver 3.0

Name:           pinentry-rofi
Version:        3.0.0
# pre-release versioning is only for Copr builds and will be disabled on Fedora import
Release:        %autorelease -p
Summary:        Passphrase/PIN entry dialog based on Rofi

# autotools scripts: CC0-1.0
License:        GPL-3.0-or-later
URL:            https://github.com/plattfot/%{name}
Source:         %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  autoconf-archive
BuildRequires:  automake
BuildRequires:  make
BuildRequires:  texinfo
BuildRequires:  pkgconfig(guile-%{guile_ver})
Requires:       rofi

%description
Simple pinentry gui using rofi written in GNU guile.


%prep
%autosetup -p1


%build
autoreconf -fiv
%configure
%make_build


%install
%make_install
rm -f %{buildroot}%{_infodir}/dir


%check
%make_build check


%files
%license LICENSES/GPL-3.0-or-later.txt
%doc ChangeLog
%doc README.org
%{_bindir}/%{name}
%{_libdir}/guile/%{guile_ver}/site-ccache/pinentry-rofi.go
%{_datadir}/guile/site/%{guile_ver}/pinentry-rofi.scm
%{_infodir}/pinentry-rofi.info.gz


%changelog
%autochangelog
